Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Users

Get User
GET /users/{userId}
https://api.relesysapp.net/api/v1/users/{userId}
Get a single user object based on their ID
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
userId string / guid The user's unique identifier required
Responses
application/json
JSON
{"data":{"id":"fe4f71c3-9dd4-45e2-b5f2-2b8bf0debae3","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-04-17T12:42:38.1403377Z","lastModifiedDateTime":"2026-04-17T12:42:38.1403377Z","externalId":"NUA","name":"New User A","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","primaryDepartmentId":"f6ac511a-ae59-4646-97cb-4ab55c80e315","additionalDepartments":[{"id":"9ceab9d8-fc0b-4680-8997-790513a2a5ca","dataSource":"RelesysAPI"}],"userGroups":[{"id":"e13914c3-5e21-442e-9879-f16d8c14f181","dataSource":"RelesysAPI"},{"id":"037dbcba-4a54-47ca-91b8-e71cb30e6cfc","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"employmentType":"Full-time employee"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   id string / guid      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string